summaryrefslogtreecommitdiffstats
path: root/games/aklabeth
diff options
context:
space:
mode:
author B. Watson <yalhcru@gmail.com>2016-08-15 00:36:47 +0100
committer David Spencer <idlemoor@slackbuilds.org>2016-08-15 00:36:47 +0100
commit06b1260579bc185748fe93415b0590021ffabf20 (patch)
tree8ad2b4c7527d03c6c21d9e2ad10674596cba390c /games/aklabeth
parentd1701a692900b0384123dd0960d35e8a0454ec72 (diff)
downloadslackbuilds-06b1260579bc185748fe93415b0590021ffabf20.tar.gz
slackbuilds-06b1260579bc185748fe93415b0590021ffabf20.tar.xz
games/aklabeth: Added (remake of Richard Garriott's Ultima prequel).
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
Diffstat (limited to 'games/aklabeth')
-rw-r--r--games/aklabeth/README4
-rw-r--r--games/aklabeth/aklabeth.SlackBuild91
-rw-r--r--games/aklabeth/aklabeth.desktop8
-rw-r--r--games/aklabeth/aklabeth.info10
-rw-r--r--games/aklabeth/aklabeth.pngbin0 -> 11593 bytes
-rw-r--r--games/aklabeth/compilefix.diff11
-rw-r--r--games/aklabeth/doinst.sh3
-rw-r--r--games/aklabeth/slack-desc19
8 files changed, 146 insertions, 0 deletions
diff --git a/games/aklabeth/README b/games/aklabeth/README
new file mode 100644
index 0000000000..946dc7b9d3
--- /dev/null
+++ b/games/aklabeth/README
@@ -0,0 +1,4 @@
+aklabeth (remake of Richard Garriott's Ultima prequel)
+
+This an SDL-based port of Akalabeth (AKA "Ultima 0") written by Paul
+Robson.
diff --git a/games/aklabeth/aklabeth.SlackBuild b/games/aklabeth/aklabeth.SlackBuild
new file mode 100644
index 0000000000..fe019c4758
--- /dev/null
+++ b/games/aklabeth/aklabeth.SlackBuild
@@ -0,0 +1,91 @@
+#!/bin/sh
+
+# Slackware build script for aklabeth
+
+# Written by B. Watson (yalhcru@gmail.com)
+
+# Licensed under the WTFPL. See http://www.wtfpl.net/txt/copying/ for details.
+
+PRGNAM=aklabeth
+VERSION=${VERSION:-1.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+patch -p1 < $CWD/compilefix.diff
+
+#--docdir=/usr/doc/$PRGNAM-$VERSION \
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --bindir=/usr/games \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --build=$ARCH-slackware-linux
+
+make
+make install-strip DESTDIR=$PKG
+
+# not doing a man page, there are no command line options.
+# .desktop written for this slackbuild.
+# icon created from a scan of the box art (sorry, it's ugly).
+mkdir -p $PKG/usr/share/pixmaps $PKG/usr/share/applications
+cat $CWD/$PRGNAM.png > $PKG/usr/share/pixmaps/$PRGNAM.png
+cat $CWD/$PRGNAM.desktop > $PKG/usr/share/applications/$PRGNAM.desktop
+
+# ChangeLog and TODO are empty.
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING NEWS README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/games/aklabeth/aklabeth.desktop b/games/aklabeth/aklabeth.desktop
new file mode 100644
index 0000000000..60bb6cd655
--- /dev/null
+++ b/games/aklabeth/aklabeth.desktop
@@ -0,0 +1,8 @@
+[Desktop Entry]
+Name=Aklabeth
+Comment=Fantasy RPG
+Exec=aklabeth
+Icon=aklabeth
+Terminal=false
+Type=Application
+Categories=Game;AdventureGame;
diff --git a/games/aklabeth/aklabeth.info b/games/aklabeth/aklabeth.info
new file mode 100644
index 0000000000..de32e1d6bd
--- /dev/null
+++ b/games/aklabeth/aklabeth.info
@@ -0,0 +1,10 @@
+PRGNAM="aklabeth"
+VERSION="1.0"
+HOMEPAGE="http://www.robsons.org.uk/archive/www.autismuk.freeserve.co.uk/index.htm"
+DOWNLOAD="http://www.robsons.org.uk/archive/www.autismuk.freeserve.co.uk/aklabeth-1.0.tar.gz"
+MD5SUM="56cccf9f4ec261f476648a59b78ff166"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="B. Watson"
+EMAIL="yalhcru@gmail.com"
diff --git a/games/aklabeth/aklabeth.png b/games/aklabeth/aklabeth.png
new file mode 100644
index 0000000000..97b12a872c
--- /dev/null
+++ b/games/aklabeth/aklabeth.png
Binary files differ
diff --git a/games/aklabeth/compilefix.diff b/games/aklabeth/compilefix.diff
new file mode 100644
index 0000000000..755f5404aa
--- /dev/null
+++ b/games/aklabeth/compilefix.diff
@@ -0,0 +1,11 @@
+diff -Naur aklabeth-1.0.orig/src/sdw.hxx aklabeth-1.0/src/sdw.hxx
+--- aklabeth-1.0.orig/src/sdw.hxx 2004-05-29 09:14:52.000000000 -0400
++++ aklabeth-1.0/src/sdw.hxx 2016-08-14 01:27:48.025900560 -0400
+@@ -19,6 +19,7 @@
+
+ #include <iostream>
+ #include <string>
++#include <cstdlib>
+
+ namespace SDLWrapper // It's all nicely in a namespace SDLWrapper
+ {
diff --git a/games/aklabeth/doinst.sh b/games/aklabeth/doinst.sh
new file mode 100644
index 0000000000..5fb28930db
--- /dev/null
+++ b/games/aklabeth/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/games/aklabeth/slack-desc b/games/aklabeth/slack-desc
new file mode 100644
index 0000000000..ce9c96c542
--- /dev/null
+++ b/games/aklabeth/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+aklabeth: aklabeth (remake of Richard Garriott's Ultima prequel)
+aklabeth:
+aklabeth: This an SDL-based port of Akalabeth (AKA "Ultima 0") written by Paul
+aklabeth: Robson.
+aklabeth:
+aklabeth:
+aklabeth:
+aklabeth:
+aklabeth:
+aklabeth:
+aklabeth: